Create candidate tags

Deprecated
Replaces all existing tags on a candidate with the provided set of `tag_ids`. This is a full replacement — any tags not included in the request body will be removed. **Token scopes**: `ats:write` **Deprecated**: a newer version of this endpoint is available. This version is scheduled for removal on 2027-08-10. **Beta version available**: version `2026-08-10` of this endpoint is in beta. Send `X-Beta: true` to call it.

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

candidate_idstringRequiredformat: "uuid"
The unique identifier of the candidate.

Request

This endpoint expects an object.
tag_idslist of stringsRequired
List of tag IDs to associate with the candidate

Response

Successfully created
datalist of objects

List of created candidate-tag associations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error